Module tdlight.api
Package it.tdlight.jni

# Class TdApi.JoinGroupCall

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Text>
it.tdlight.jni.TdApi.JoinGroupCall

Enclosing class:
  TdApi

public static final class TdApi.JoinGroupCall extends TdApi.Function<TdApi.Text>
Joins an active group call. Returns join response payload for tgcalls.

Returns `Text`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`audioSourceId`
Caller audio channel synchronization source identifier; received from tgcalls.
`static final int`
`CONSTRUCTOR`
`int`
`groupCallId`
Group call identifier.
`String`
`inviteHash`
If non-empty, invite hash to be used to join the group call without being muted by administrators.
`boolean`
`isMuted`
True, if the user's microphone is muted.
`boolean`
`isMyVideoEnabled`
True, if the user's video is enabled.
`TdApi.MessageSender`
`participantId`
Identifier of a group call participant, which will be used to join the call; pass null to join as self; video chats only.
`String`
`payload`
Group call join payload; received from tgcalls.

## Constructor Summary

Constructors
Constructor
Description
`JoinGroupCall()`
Joins an active group call.
`JoinGroupCall(int groupCallId, TdApi.MessageSender participantId, int audioSourceId, String payload, boolean isMuted, boolean isMyVideoEnabled, String inviteHash)`
Joins an active group call.
`JoinGroupCall(DataInput input)`
Joins an active group call.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### participantId

public TdApi.MessageSender participantId
Identifier of a group call participant, which will be used to join the call; pass null to join as self; video chats only.

### audioSourceId

public int audioSourceId
Caller audio channel synchronization source identifier; received from tgcalls.

### payload

public String payload
Group call join payload; received from tgcalls.

### isMuted

public boolean isMuted
True, if the user's microphone is muted.

### isMyVideoEnabled

public boolean isMyVideoEnabled
True, if the user's video is enabled.

### inviteHash

public String inviteHash
If non-empty, invite hash to be used to join the group call without being muted by administrators.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### JoinGroupCall

public JoinGroupCall()
Joins an active group call. Returns join response payload for tgcalls.

Returns `Text`

### JoinGroupCall

public JoinGroupCall(int groupCallId, TdApi.MessageSender participantId, int audioSourceId, String payload, boolean isMuted, boolean isMyVideoEnabled, String inviteHash)
Joins an active group call. Returns join response payload for tgcalls.

Returns `Text`

Parameters:
  `groupCallId` - int Group call identifier.
  `participantId` - MessageSender Identifier of a group call participant, which will be used to join the call; pass null to join as self; video chats only.
  `audioSourceId` - int Caller audio channel synchronization source identifier; received from tgcalls.
  `payload` - String Group call join payload; received from tgcalls.
  `isMuted` - boolean True, if the user's microphone is muted.
  `isMyVideoEnabled` - boolean True, if the user's video is enabled.
  `inviteHash` - String If non-empty, invite hash to be used to join the group call without being muted by administrators.

### JoinGroupCall

public JoinGroupCall(DataInput input) throws IOException
Joins an active group call. Returns join response payload for tgcalls.

Returns `Text`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`